﻿#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <climits>
#include <stack>
#include <queue>
#include <map>
#include <set>
#include <deque>

typedef long long ll;
typedef long double ld;

using namespace std;

void A() {
    int n; cin >> n;
    for (int _ = 0; _ < n; ++_) {
        vector<int>a(6);
        int s = 0;
        for (int i = 0; i < 6; ++i) {
            cin >> a[i];
            s += a[i];
        }
        if (s % 3 != 0) {
            cout << "no";
            return;
        }
        s /= 3;
        sort(a.begin(), a.end());
        int l = 0, r = 5;
        while (r - l >= 1) {
            if (a[l] + a[r] == s) {
                ++l, --r;
            }
            else {
                cout << "no";
                return;
            }
        }
        cout << "yes";
    }
}

void B() {

}

void C() {
    int a, b; cin >> a >> b;
    int lu = 0, ld = 1, ru = 1, rd = 0;
    int c = a, d = b;
    while (c * d) {
        if (c > d) c %= d;
        else d %= c;
    }
    a /= (c + d);
    b /= (c + d);
    string ans = "R";
    while ((lu + ru != a) && (ld + rd != b)) {
        if (a * (ld + rd) > b * (ru + lu)) {
            ans += 'R';
            ld += rd;
            lu += ru;
        }
        else {
            ans += 'L';
            rd += ld;
            ru += lu;
        }
    }
    cout << ans;
}

void D() {
    // bfs
}

void E() {

}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    C();
    return 0;
}
