﻿#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <climits>
#include <stack>
#include <queue>
#include <map>
#include <set>
#include <deque>

typedef long long ll;
typedef long double ld;

using namespace std;

int gcd(int a, int b) {
    if (a * b == 0) return a + b;
    else return gcd(b, a % b);
}

void A() {
    int n; cin >> n;
    for (int _ = 0; _ < n; ++_) {
        vector<int>a(6);
        int s = 0;
        for (int i = 0; i < 6; ++i) {
            cin >> a[i];
        }
        sort(a.begin(), a.end());
        s = a[0] + a[5];
        int l = 0, r = 5;
        bool flag = 1;
        while (r - l >= 1) {
            if (a[l] + a[r] == s) {
                ++l, --r;
            }
            else {
                flag = 0;
                break;
            }
        }
        if ((a[r] + a[l] == s) && flag)
            cout << "yes\n";
        else cout << "no\n";
    }
}

void B() {

}

void C() {
    int a, b; cin >> a >> b;
    int lu = 0, ld = 1, ru = 1, rd = 0;
    int g = gcd(a, b);
    a /= g; b /= g;
    string ans = "R";
    while ((lu + ru != a) && (ld + rd != b)) {
        if (a * (ld + rd) > b * (ru + lu)) {
            ans += 'R';
            ld += rd;
            lu += ru;
        }
        else {
            ans += 'L';
            rd += ld;
            ru += lu;
        }
    }
    cout << ans;
}

void D() {
    // bfs
}

void E() {
    int n; cin >> n;
    vector<pair<ll, ll>> p(n);
    //cout << setprecision.fixed(10);
    for (int i = 0; i < n; ++i) {
        cin >> p[i].first >> p[i].second;
    }
    if (n == 2) {
        cout << sqrt(ld(p[0].first - p[1].first) * ld(p[0].first - p[1].first)
            + ld(p[0].second - p[1].second) * ld(p[0].second - p[1].second));
    }
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    A();
    return 0;
}
